LPI2C Driver
Collaboration diagram for LPI2C Driver:

## Modules

| LPI2C Master Driver
| LPI2C Slave Driver
| LPI2C Master DMA Driver
| LPI2C Slave DMA Driver

## Enumerations

enum

_lpi2c_status {
kStatus_LPI2C_Busy = MAKE_STATUS(kStatusGroup_LPI2C, 0),
kStatus_LPI2C_Idle = MAKE_STATUS(kStatusGroup_LPI2C, 1),
kStatus_LPI2C_Nak = MAKE_STATUS(kStatusGroup_LPI2C, 2),
kStatus_LPI2C_FifoError = MAKE_STATUS(kStatusGroup_LPI2C, 3),
kStatus_LPI2C_BitError = MAKE_STATUS(kStatusGroup_LPI2C, 4),
kStatus_LPI2C_ArbitrationLost = MAKE_STATUS(kStatusGroup_LPI2C, 5),
kStatus_LPI2C_PinLowTimeout,
kStatus_LPI2C_NoTransferInProgress,
kStatus_LPI2C_DmaRequestFail = MAKE_STATUS(kStatusGroup_LPI2C, 7)
}

| LPI2C status return codes. More...

## Usage Information

## Enumeration Type Documentation

enum _lpi2c_status

LPI2C status return codes.

Enumerator
kStatus_LPI2C_Busy | The master is already performing a transfer.
kStatus_LPI2C_Idle | The slave driver is idle.
kStatus_LPI2C_Nak | The slave device sent a NAK in response to a byte.
kStatus_LPI2C_FifoError | Fifo underrun or overrun.
kStatus_LPI2C_BitError | Transferred bit was not seen on the bus.
kStatus_LPI2C_ArbitrationLost | Arbitration lost error.
kStatus_LPI2C_PinLowTimeout | SCL or SDA were held low longer than the timeout.
kStatus_LPI2C_NoTransferInProgress | Attempt to abort a transfer when one is not in progress.
kStatus_LPI2C_DmaRequestFail | DMA request failed.